alt.javax.mail.internet

## Interface MimeMessage

- All Superinterfaces:
    Message
  All Known Implementing Classes:
    MimeMessageImpl, MockMimeMessage

      public interface MimeMessage
      extends Message

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHeaderLine(java.lang.String s)`
    `void` | `addRecipient(javax.mail.Message.RecipientType type, Address address)`
    `void` | `addRecipients(javax.mail.Message.RecipientType type, java.lang.String s)`
    `java.util.Enumeration` | `getAllHeaderLines()`
    `Address[]` | `getAllRecipients()`
    `java.lang.String` | `getContentID()`
    `java.lang.String[]` | `getContentLanguage()`
    `java.lang.String` | `getContentMD5()`
    `java.lang.String` | `getEncoding()`
    `Folder` | `getFolder()`
    `java.lang.String` | `getHeader(java.lang.String s, java.lang.String s1)`
    `java.util.Enumeration` | `getMatchingHeaderLines(java.lang.String[] strings)`
    `java.lang.String` | `getMessageID()`
    `int` | `getMessageNumber()`
    `java.util.Enumeration` | `getNonMatchingHeaderLines(java.lang.String[] strings)`
    `java.io.InputStream` | `getRawInputStream()`
    `Address[]` | `getReplyTo()`
    `boolean` | `isExpunged()`
    `boolean` | `isSet(Flags.Flag flag)`
    `boolean` | `match(SearchTerm term)`
    `void` | `setContentID(java.lang.String s)`
    `void` | `setContentLanguage(java.lang.String[] strings)`
    `void` | `setContentMD5(java.lang.String s)`
    `void` | `setDescription(java.lang.String s, java.lang.String s1)`
    `void` | `setFlag(Flags.Flag flag, boolean b)`
    `void` | `setRecipient(javax.mail.Message.RecipientType type, Address address)`
    `void` | `setRecipients(javax.mail.Message.RecipientType type, java.lang.String s)`
    `void` | `setReplyTo(Address[] addresses)`
    `void` | `setSubject(java.lang.String s, java.lang.String s1)`
    `void` | `setText(java.lang.String s, java.lang.String s1)`
    `void` | `writeTo(java.io.OutputStream stream, java.lang.String[] strings)`

    - ### Methods inherited from interface alt.javax.mail.Message

      `addFrom, addHeader, addRecipients, getAllHeaders, getContent, getContentType, getDataHandler, getDescription, getDisposition, getFileName, getFlags, getFrom, getHeader, getInputStream, getLineCount, getMatchingHeaders, getNonMatchingHeaders, getRealMessage, getReceivedDate, getRecipients, getSentDate, getSize, getSubject, isMimeType, removeHeader, reply, saveChanges, setContent, setContent, setDataHandler, setDescription, setDisposition, setFileName, setFlags, setFrom, setFrom, setHeader, setRecipients, setSentDate, setSubject, setText, writeTo`

- - ### Method Detail

    - #### setRecipient

          void setRecipient(javax.mail.Message.RecipientType type,
                            Address address)
                     throws MessagingException

      Throws:
        `MessagingException`

    - #### addRecipient

          void addRecipient(javax.mail.Message.RecipientType type,
                            Address address)
                     throws MessagingException

      Throws:
        `MessagingException`

    - #### setFlag

          void setFlag(Flags.Flag flag,
                       boolean b)
                throws MessagingException

      Throws:
        `MessagingException`

    - #### getMessageNumber

          int getMessageNumber()

    - #### getFolder

          Folder getFolder()

    - #### isExpunged

          boolean isExpunged()

    - #### match

          boolean match(SearchTerm term)
                 throws MessagingException

      Throws:
        `MessagingException`

    - #### getAllRecipients

          Address[] getAllRecipients()
                              throws MessagingException

      Throws:
        `MessagingException`

    - #### setRecipients

          void setRecipients(javax.mail.Message.RecipientType type,
                             java.lang.String s)
                      throws MessagingException

      Throws:
        `MessagingException`

    - #### addRecipients

          void addRecipients(javax.mail.Message.RecipientType type,
                             java.lang.String s)
                      throws MessagingException

      Throws:
        `MessagingException`

    - #### getReplyTo

          Address[] getReplyTo()
                        throws MessagingException

      Throws:
        `MessagingException`

    - #### setReplyTo

          void setReplyTo(Address[] addresses)
                   throws MessagingException

      Throws:
        `MessagingException`

    - #### setSubject

          void setSubject(java.lang.String s,
                          java.lang.String s1)
                   throws MessagingException

      Throws:
        `MessagingException`

    - #### getEncoding

          java.lang.String getEncoding()
                                throws MessagingException

      Throws:
        `MessagingException`

    - #### getContentID

          java.lang.String getContentID()
                                 throws MessagingException

      Throws:
        `MessagingException`

    - #### setContentID

          void setContentID(java.lang.String s)
                     throws MessagingException

      Throws:
        `MessagingException`

    - #### getContentMD5

          java.lang.String getContentMD5()
                                  throws MessagingException

      Throws:
        `MessagingException`

    - #### setContentMD5

          void setContentMD5(java.lang.String s)
                      throws MessagingException

      Throws:
        `MessagingException`

    - #### setDescription

          void setDescription(java.lang.String s,
                              java.lang.String s1)
                       throws MessagingException

      Throws:
        `MessagingException`

    - #### getContentLanguage

          java.lang.String[] getContentLanguage()
                                         throws MessagingException

      Throws:
        `MessagingException`

    - #### setContentLanguage

          void setContentLanguage(java.lang.String[] strings)
                           throws MessagingException

      Throws:
        `MessagingException`

    - #### getMessageID

          java.lang.String getMessageID()
                                 throws MessagingException

      Throws:
        `MessagingException`

    - #### getRawInputStream

          java.io.InputStream getRawInputStream()
                                         throws MessagingException

      Throws:
        `MessagingException`

    - #### setText

          void setText(java.lang.String s,
                       java.lang.String s1)
                throws MessagingException

      Throws:
        `MessagingException`

    - #### writeTo

          void writeTo(java.io.OutputStream stream,
                       java.lang.String[] strings)
                throws java.io.IOException,
                       MessagingException

      Throws:
        `java.io.IOException`
        `MessagingException`

    - #### getHeader

          java.lang.String getHeader(java.lang.String s,
                                     java.lang.String s1)
                              throws MessagingException

      Throws:
        `MessagingException`

    - #### addHeaderLine

          void addHeaderLine(java.lang.String s)
                      throws MessagingException

      Throws:
        `MessagingException`

    - #### getAllHeaderLines

          java.util.Enumeration getAllHeaderLines()
                                           throws MessagingException

      Throws:
        `MessagingException`

    - #### getMatchingHeaderLines

          java.util.Enumeration getMatchingHeaderLines(java.lang.String[] strings)
                                                throws MessagingException

      Throws:
        `MessagingException`

    - #### getNonMatchingHeaderLines

          java.util.Enumeration getNonMatchingHeaderLines(java.lang.String[] strings)
                                                   throws MessagingException

      Throws:
        `MessagingException`

    - #### isSet

          boolean isSet(Flags.Flag flag)
                 throws MessagingException

      Throws:
        `MessagingException`

Copyright © 2002 Mock Objects. All Rights Reserved.